GET /api/v1/social/{socialId}/attendees
curl --request GET \
--url https://api.scoot.app/api/v1/social/{socialId}/attendees \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.scoot.app/api/v1/social/{socialId}/attendees"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.scoot.app/api/v1/social/{socialId}/attendees', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"socialAttendeeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"socialId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"attendeeUserId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"attendeeUser": {
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"firstName": "<string>",
"middleName": "<string>",
"lastName": "<string>",
"emailAddress": "<string>",
"emailVerified": true,
"preload": true,
"mobilePhone": "<string>",
"mobilePhoneVerified": true,
"mobilePhoneVerifiedWeb": true,
"profileId": "<string>",
"profileImageURI": "<string>",
"profileImageId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"profileImageBackground": "<string>",
"timeZone": "<string>",
"registeredDateTime": "2023-11-07T05:31:56Z",
"active": true,
"actedAs": true
},
"dateTimeArrived": "2023-11-07T05:31:56Z",
"isHost": true,
"isPresent": true,
"location": "<string>",
"ringColor": "<string>",
"tokenId": "<string>",
"streamConnectionId": "<string>",
"queuePosition": 123,
"queueLength": 123,
"presenterVideoQuality": "<string>",
"socialChanged": true,
"updatedWebsocketURL": "<string>",
"favoriteUserIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}
]Social
Get Room Attendees
GET
/
api
/
v1
/
social
/
{socialId}
/
attendees
GET /api/v1/social/{socialId}/attendees
Retrieves the list of all participants currently in a Scootaverse session.
Authorizations
Path Parameters
Query Parameters
Page number to get, used with pageSize
Number of items to get in one request, used with page
Property to sort by. Append ',' and directions 'asc/desc' to change direction
Response
200 - application/json
OK
Show child attributes
Show child attributes
Available options:
JOINED, LEFT, REJOINED, NOT_STARTED, ENDED, QUEUED, NOT_ADMITTED, BANNED ⌘I

